Package org.apache.commons.math3.exception.util

# Enum LocalizedFormats

java.lang.Object
java.lang.Enum<LocalizedFormats>
org.apache.commons.math3.exception.util.LocalizedFormats

All Implemented Interfaces:
  `Serializable`, `Comparable<LocalizedFormats>`, `java.lang.constant.Constable`, `Localizable`

public enum LocalizedFormats extends Enum<LocalizedFormats> implements Localizable
Enumeration for localized messages formats used in exceptions messages.

The constants in this enumeration represent the available formats as localized strings. These formats are intended to be localized using simple properties files, using the constant name as the key and the property value as the message format. The source English format is provided in the constants themselves to serve both as a reminder for developers to understand the parameters needed by each format, as a basis for translators to create localized properties files, and as a default format if some translation is missing.

Since:
  2.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARGUMENT_OUTSIDE_DOMAIN`
`ARITHMETIC_EXCEPTION`
`ARRAY_ELEMENT`
`ARRAY_SIZE_EXCEEDS_MAX_VARIABLES`
`ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1`
`ARRAY_SUMS_TO_ZERO`
`ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED`
`ASSYMETRIC_EIGEN_NOT_SUPPORTED`
`AT_LEAST_ONE_COLUMN`
`AT_LEAST_ONE_ROW`
`BANDWIDTH`
`BASE`
`BESSEL_FUNCTION_BAD_ARGUMENT`
`BESSEL_FUNCTION_FAILED_CONVERGENCE`
`BINOMIAL_INVALID_PARAMETERS_ORDER`
`BINOMIAL_NEGATIVE_PARAMETER`
`BOBYQA_BOUND_DIFFERENCE_CONDITION`
`CANNOT_CLEAR_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS`
`CANNOT_COMPUTE_0TH_ROOT_OF_UNITY`
`CANNOT_COMPUTE_BETA_DENSITY_AT_0_FOR_SOME_ALPHA`
`CANNOT_COMPUTE_BETA_DENSITY_AT_1_FOR_SOME_BETA`
`CANNOT_COMPUTE_NTH_ROOT_FOR_NEGATIVE_N`
`CANNOT_DISCARD_NEGATIVE_NUMBER_OF_ELEMENTS`
`CANNOT_FORMAT_INSTANCE_AS_3D_VECTOR`
`CANNOT_FORMAT_INSTANCE_AS_COMPLEX`
`CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR`
`CANNOT_FORMAT_OBJECT_TO_FRACTION`
`CANNOT_INCREMENT_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS`
`CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR`
`CANNOT_PARSE`
`CANNOT_PARSE_AS_TYPE`
`CANNOT_RETRIEVE_AT_NEGATIVE_INDEX`
`CANNOT_SET_AT_NEGATIVE_INDEX`
`CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY`
`CANNOT_TRANSFORM_TO_DOUBLE`
`CARDAN_ANGLES_SINGULARITY`
`CLASS_DOESNT_IMPLEMENT_COMPARABLE`
`CLOSE_VERTICES`
`CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT`
`COLUMN_INDEX`
`COLUMN_INDEX_OUT_OF_RANGE`
`CONSTRAINT`
`CONTINUED_FRACTION_INFINITY_DIVERGENCE`
`CONTINUED_FRACTION_NAN_DIVERGENCE`
`CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR`
`CONTRACTION_CRITERIA_SMALLER_THAN_ONE`
`CONVERGENCE_FAILED`
`COVARIANCE_MATRIX`
`CROSSING_BOUNDARY_LOOPS`
`CROSSOVER_RATE`
`CUMULATIVE_PROBABILITY_RETURNED_NAN`
`DEGREES_OF_FREEDOM`
`DENOMINATOR`
`DENOMINATOR_FORMAT`
`DIFFERENT_ORIG_AND_PERMUTED_DATA`
`DIFFERENT_ROWS_LENGTHS`
`DIGEST_NOT_INITIALIZED`
`DIMENSION`
`DIMENSIONS_MISMATCH`
`DIMENSIONS_MISMATCH_2x2`
`DIMENSIONS_MISMATCH_SIMPLE`
`DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN`
`DISTRIBUTION_NOT_LOADED`
`DUPLICATED_ABSCISSA_DIVISION_BY_ZERO`
`EDGE_CONNECTED_TO_ONE_FACET`
`ELITISM_RATE`
`EMPTY_CLUSTER_IN_K_MEANS`
`EMPTY_INTERPOLATION_SAMPLE`
`EMPTY_POLYNOMIALS_COEFFICIENTS_ARRAY`
`EMPTY_SELECTED_COLUMN_INDEX_ARRAY`
`EMPTY_SELECTED_ROW_INDEX_ARRAY`
`EMPTY_STRING_FOR_IMAGINARY_CHARACTER`
`ENDPOINTS_NOT_AN_INTERVAL`
`EQUAL_VERTICES_IN_SIMPLEX`
`EULER_ANGLES_SINGULARITY`
`EVALUATION`
`EVALUATIONS`
`EXPANSION_FACTOR_SMALLER_THAN_ONE`
`EXPONENT`
`FACET_ORIENTATION_MISMATCH`
`FACTORIAL_NEGATIVE_PARAMETER`
`FAILED_BRACKETING`
`FAILED_FRACTION_CONVERSION`
`FIRST_COLUMNS_NOT_INITIALIZED_YET`
`FIRST_ELEMENT_NOT_ZERO`
`FIRST_ROWS_NOT_INITIALIZED_YET`
`FRACTION`
`FRACTION_CONVERSION_OVERFLOW`
`FUNCTION`
`FUNCTION_NOT_DIFFERENTIABLE`
`FUNCTION_NOT_POLYNOMIAL`
`GCD_OVERFLOW_32_BITS`
`GCD_OVERFLOW_64_BITS`
`HOLE_BETWEEN_MODELS_TIME_RANGES`
`ILL_CONDITIONED_OPERATOR`
`ILLEGAL_STATE`
`IMAGINARY_FORMAT`
`INCONSISTENT_STATE_AT_2_PI_WRAPPING`
`INDEX`
`INDEX_LARGER_THAN_MAX`
`INDEX_NOT_POSITIVE`
`INDEX_OUT_OF_RANGE`
`INFINITE_ARRAY_ELEMENT`
`INFINITE_BOUND`
`INFINITE_VALUE_CONVERSION`
`INITIAL_CAPACITY_NOT_POSITIVE`
`INITIAL_COLUMN_AFTER_FINAL_COLUMN`
`INITIAL_ROW_AFTER_FINAL_ROW`
`INPUT_ARRAY`
`INPUT_DATA_FROM_UNSUPPORTED_DATASOURCE`
Deprecated.
`INSTANCES_NOT_COMPARABLE_TO_EXISTING_VALUES`
`INSUFFICIENT_DATA`
`INSUFFICIENT_DATA_FOR_T_STATISTIC`
`INSUFFICIENT_DIMENSION`
`INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE`
`INSUFFICIENT_ROWS_AND_COLUMNS`
`INTEGRATION_METHOD_NEEDS_AT_LEAST_TWO_PREVIOUS_POINTS`
`INTERNAL_ERROR`
`INVALID_BINARY_CHROMOSOME`
`INVALID_BINARY_DIGIT`
`INVALID_BRACKETING_PARAMETERS`
`INVALID_FIXED_LENGTH_CHROMOSOME`
`INVALID_IMPLEMENTATION`
`INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS`
`INVALID_ITERATIONS_LIMITS`
`INVALID_MAX_ITERATIONS`
`INVALID_REGRESSION_ARRAY`
`INVALID_REGRESSION_OBSERVATION`
`INVALID_ROUNDING_METHOD`
`ITERATIONS`
`ITERATOR_EXHAUSTED`
`LCM_OVERFLOW_32_BITS`
`LCM_OVERFLOW_64_BITS`
`LENGTH`
`LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE`
`LOESS_EXPECTS_AT_LEAST_ONE_POINT`
`LOWER_BOUND_NOT_BELOW_UPPER_BOUND`
`LOWER_ENDPOINT_ABOVE_UPPER_ENDPOINT`
`MAP_MODIFIED_WHILE_ITERATING`
`MAX_COUNT_EXCEEDED`
`MAX_ITERATIONS_EXCEEDED`
`MEAN`
`MINIMAL_STEPSIZE_REACHED_DURING_INTEGRATION`
`MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS`
`MULTISTEP_STARTER_STOPPED_EARLY`
`MUTATION_RATE`
`N_POINTS_GAUSS_LEGENDRE_INTEGRATOR_NOT_SUPPORTED`
`NAN_ELEMENT_AT_INDEX`
`NAN_NOT_ALLOWED`
`NAN_VALUE_CONVERSION`
`NEGATIVE_BRIGHTNESS_EXPONENT`
`NEGATIVE_COMPLEX_MODULE`
`NEGATIVE_ELEMENT_AT_2D_INDEX`
`NEGATIVE_ELEMENT_AT_INDEX`
`NEGATIVE_NUMBER_OF_SUCCESSES`
`NEGATIVE_NUMBER_OF_TRIALS`
`NO_BIN_SELECTED`
`NO_CONVERGENCE_WITH_ANY_START_POINT`
`NO_DATA`
`NO_DEGREES_OF_FREEDOM`
`NO_DENSITY_FOR_THIS_DISTRIBUTION`
`NO_FEASIBLE_SOLUTION`
`NO_OPTIMUM_COMPUTED_YET`
`NO_REGRESSORS`
`NO_RESULT_AVAILABLE`
`NO_SUCH_MATRIX_ENTRY`
`NON_CONVERGENT_CONTINUED_FRACTION`
`NON_INVERTIBLE_TRANSFORM`
`NON_POSITIVE_DEFINITE_MATRIX`
`NON_POSITIVE_DEFINITE_OPERATOR`
`NON_POSITIVE_MICROSPHERE_ELEMENTS`
`NON_POSITIVE_POLYNOMIAL_DEGREE`
`NON_REAL_FINITE_ABSCISSA`
`NON_REAL_FINITE_ORDINATE`
`NON_REAL_FINITE_WEIGHT`
`NON_SELF_ADJOINT_OPERATOR`
`NON_SQUARE_MATRIX`
`NON_SQUARE_OPERATOR`
`NON_SYMMETRIC_MATRIX`
`NORM`
`NORMALIZE_INFINITE`
`NORMALIZE_NAN`
`NOT_ADDITION_COMPATIBLE_MATRICES`
`NOT_CONVEX`
`NOT_CONVEX_HYPERPLANES`
`NOT_DECREASING_NUMBER_OF_POINTS`
`NOT_DECREASING_SEQUENCE`
`NOT_ENOUGH_DATA_FOR_NUMBER_OF_PREDICTORS`
`NOT_ENOUGH_DATA_REGRESSION`
`NOT_ENOUGH_POINTS_IN_SPLINE_PARTITION`
`NOT_FINITE_NUMBER`
`NOT_INCREASING_NUMBER_OF_POINTS`
`NOT_INCREASING_SEQUENCE`
`NOT_MULTIPLICATION_COMPATIBLE_MATRICES`
`NOT_POSITIVE_DEFINITE_MATRIX`
`NOT_POSITIVE_DEGREES_OF_FREEDOM`
`NOT_POSITIVE_ELEMENT_AT_INDEX`
`NOT_POSITIVE_EXPONENT`
`NOT_POSITIVE_LENGTH`
`NOT_POSITIVE_MEAN`
`NOT_POSITIVE_NUMBER_OF_SAMPLES`
`NOT_POSITIVE_PERMUTATION`
`NOT_POSITIVE_POISSON_MEAN`
`NOT_POSITIVE_POPULATION_SIZE`
`NOT_POSITIVE_ROW_DIMENSION`
`NOT_POSITIVE_SAMPLE_SIZE`
`NOT_POSITIVE_SCALE`
`NOT_POSITIVE_SHAPE`
`NOT_POSITIVE_STANDARD_DEVIATION`
`NOT_POSITIVE_UPPER_BOUND`
`NOT_POSITIVE_WINDOW_SIZE`
`NOT_POWER_OF_TWO`
`NOT_POWER_OF_TWO_CONSIDER_PADDING`
`NOT_POWER_OF_TWO_PLUS_ONE`
`NOT_STRICTLY_DECREASING_NUMBER_OF_POINTS`
`NOT_STRICTLY_DECREASING_SEQUENCE`
`NOT_STRICTLY_INCREASING_KNOT_VALUES`
`NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS`
`NOT_STRICTLY_INCREASING_SEQUENCE`
`NOT_SUBTRACTION_COMPATIBLE_MATRICES`
`NOT_SUPPORTED_IN_DIMENSION_N`
`NOT_SYMMETRIC_MATRIX`
`NULL_NOT_ALLOWED`
`NUMBER_OF_ELEMENTS_SHOULD_BE_POSITIVE`
`NUMBER_OF_INTERPOLATION_POINTS`
`NUMBER_OF_POINTS`
`NUMBER_OF_SAMPLES`
`NUMBER_OF_SUCCESS_LARGER_THAN_POPULATION_SIZE`
`NUMBER_OF_SUCCESSES`
`NUMBER_OF_TRIALS`
`NUMBER_TOO_LARGE`
`NUMBER_TOO_LARGE_BOUND_EXCLUDED`
`NUMBER_TOO_SMALL`
`NUMBER_TOO_SMALL_BOUND_EXCLUDED`
`NUMERATOR`
`NUMERATOR_FORMAT`
`NUMERATOR_OVERFLOW_AFTER_MULTIPLY`
`OBJECT_TRANSFORMATION`
`OBSERVED_COUNTS_ALL_ZERO`
`OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY`
`OUT_OF_BOUND_SIGNIFICANCE_LEVEL`
`OUT_OF_BOUNDS_CONFIDENCE_LEVEL`
`OUT_OF_BOUNDS_QUANTILE_VALUE`
`OUT_OF_ORDER_ABSCISSA_ARRAY`
`OUT_OF_PLANE`
`OUT_OF_RANGE`
`OUT_OF_RANGE_LEFT`
`OUT_OF_RANGE_RIGHT`
`OUT_OF_RANGE_ROOT_OF_UNITY_INDEX`
`OUT_OF_RANGE_SIMPLE`
`OUTLINE_BOUNDARY_LOOP_OPEN`
`OVERFLOW`
`OVERFLOW_IN_ADDITION`
`OVERFLOW_IN_FRACTION`
`OVERFLOW_IN_MULTIPLICATION`
`OVERFLOW_IN_SUBTRACTION`
`PERCENTILE_IMPLEMENTATION_CANNOT_ACCESS_METHOD`
`PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD`
`PERMUTATION_EXCEEDS_N`
`PERMUTATION_SIZE`
`POLYNOMIAL`
`POLYNOMIAL_INTERPOLANTS_MISMATCH_SEGMENTS`
`POPULATION_LIMIT_NOT_POSITIVE`
`POPULATION_SIZE`
`POWER_NEGATIVE_PARAMETERS`
`PROPAGATION_DIRECTION_MISMATCH`
`RANDOMKEY_MUTATION_WRONG_CLASS`
`REAL_FORMAT`
`ROBUSTNESS_ITERATIONS`
`ROOTS_OF_UNITY_NOT_COMPUTED_YET`
`ROTATION_MATRIX_DIMENSIONS`
`ROW_INDEX`
`ROW_INDEX_OUT_OF_RANGE`
`SAME_SIGN_AT_ENDPOINTS`
`SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE`
`SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE`
`SCALE`
`SHAPE`
`SIGNIFICANCE_LEVEL`
`SIMPLE_MESSAGE`
`SIMPLEX_NEED_ONE_POINT`
`SINGULAR_MATRIX`
`SINGULAR_OPERATOR`
`STANDARD_DEVIATION`
`START_POSITION`
`SUBARRAY_ENDS_AFTER_ARRAY_END`
`TOO_LARGE_CUTOFF_SINGULAR_VALUE`
`TOO_LARGE_TOURNAMENT_ARITY`
`TOO_MANY_ELEMENTS_TO_DISCARD_FROM_ARRAY`
`TOO_MANY_REGRESSORS`
`TOO_SMALL_COST_RELATIVE_TOLERANCE`
`TOO_SMALL_INTEGRATION_INTERVAL`
`TOO_SMALL_ORTHOGONALITY_TOLERANCE`
`TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE`
`TRUST_REGION_STEP_FAILED`
`TWO_OR_MORE_CATEGORIES_REQUIRED`
`TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED`
`UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH`
`UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM`
`UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS`
`UNABLE_TO_ORTHOGONOLIZE_MATRIX`
`UNABLE_TO_PERFORM_QR_DECOMPOSITION_ON_JACOBIAN`
`UNABLE_TO_SOLVE_SINGULAR_PROBLEM`
`UNBOUNDED_SOLUTION`
`UNKNOWN_MODE`
`UNKNOWN_PARAMETER`
`UNMATCHED_ODE_IN_EXPANDED_SET`
`UNPARSEABLE_3D_VECTOR`
`UNPARSEABLE_COMPLEX_NUMBER`
`UNPARSEABLE_REAL_VECTOR`
`UNSUPPORTED_EXPANSION_MODE`
`UNSUPPORTED_OPERATION`
`URL_CONTAINS_NO_DATA`
`USER_EXCEPTION`
`VALUES_ADDED_BEFORE_CONFIGURING_STATISTIC`
`VECTOR_LENGTH_MISMATCH`
`VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT`
`WEIGHT_AT_LEAST_ONE_NON_ZERO`
`WHOLE_FORMAT`
`WRONG_BLOCK_LENGTH`
`WRONG_NUMBER_OF_POINTS`
`ZERO_DENOMINATOR`
`ZERO_DENOMINATOR_IN_FRACTION`
`ZERO_FRACTION_TO_DIVIDE_BY`
`ZERO_NORM`
`ZERO_NORM_FOR_ROTATION_AXIS`
`ZERO_NORM_FOR_ROTATION_DEFINING_VECTOR`
`ZERO_NOT_ALLOWED`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedString(Locale locale)`
Gets the localized string.
`String`
`getSourceString()`
Gets the source (non-localized) string.
`static LocalizedFormats`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LocalizedFormats[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARGUMENT_OUTSIDE_DOMAIN

public static final LocalizedFormats ARGUMENT_OUTSIDE_DOMAIN

### ARRAY_SIZE_EXCEEDS_MAX_VARIABLES

public static final LocalizedFormats ARRAY_SIZE_EXCEEDS_MAX_VARIABLES

### ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1

public static final LocalizedFormats ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1

### ARRAY_SUMS_TO_ZERO

public static final LocalizedFormats ARRAY_SUMS_TO_ZERO

### ASSYMETRIC_EIGEN_NOT_SUPPORTED

public static final LocalizedFormats ASSYMETRIC_EIGEN_NOT_SUPPORTED

### AT_LEAST_ONE_COLUMN

public static final LocalizedFormats AT_LEAST_ONE_COLUMN

### AT_LEAST_ONE_ROW

public static final LocalizedFormats AT_LEAST_ONE_ROW

### BANDWIDTH

public static final LocalizedFormats BANDWIDTH

### BESSEL_FUNCTION_BAD_ARGUMENT

public static final LocalizedFormats BESSEL_FUNCTION_BAD_ARGUMENT

### BESSEL_FUNCTION_FAILED_CONVERGENCE

public static final LocalizedFormats BESSEL_FUNCTION_FAILED_CONVERGENCE

### BINOMIAL_INVALID_PARAMETERS_ORDER

public static final LocalizedFormats BINOMIAL_INVALID_PARAMETERS_ORDER

### BINOMIAL_NEGATIVE_PARAMETER

public static final LocalizedFormats BINOMIAL_NEGATIVE_PARAMETER

### CANNOT_CLEAR_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS

public static final LocalizedFormats CANNOT_CLEAR_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS

### CANNOT_COMPUTE_0TH_ROOT_OF_UNITY

public static final LocalizedFormats CANNOT_COMPUTE_0TH_ROOT_OF_UNITY

### CANNOT_COMPUTE_BETA_DENSITY_AT_0_FOR_SOME_ALPHA

public static final LocalizedFormats CANNOT_COMPUTE_BETA_DENSITY_AT_0_FOR_SOME_ALPHA

### CANNOT_COMPUTE_BETA_DENSITY_AT_1_FOR_SOME_BETA

public static final LocalizedFormats CANNOT_COMPUTE_BETA_DENSITY_AT_1_FOR_SOME_BETA

### CANNOT_COMPUTE_NTH_ROOT_FOR_NEGATIVE_N

public static final LocalizedFormats CANNOT_COMPUTE_NTH_ROOT_FOR_NEGATIVE_N

### CANNOT_DISCARD_NEGATIVE_NUMBER_OF_ELEMENTS

public static final LocalizedFormats CANNOT_DISCARD_NEGATIVE_NUMBER_OF_ELEMENTS

### CANNOT_FORMAT_INSTANCE_AS_3D_VECTOR

public static final LocalizedFormats CANNOT_FORMAT_INSTANCE_AS_3D_VECTOR

### CANNOT_FORMAT_INSTANCE_AS_COMPLEX

public static final LocalizedFormats CANNOT_FORMAT_INSTANCE_AS_COMPLEX

### CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR

public static final LocalizedFormats CANNOT_FORMAT_INSTANCE_AS_REAL_VECTOR

### CANNOT_FORMAT_OBJECT_TO_FRACTION

public static final LocalizedFormats CANNOT_FORMAT_OBJECT_TO_FRACTION

### CANNOT_INCREMENT_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS

public static final LocalizedFormats CANNOT_INCREMENT_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS

### CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR

public static final LocalizedFormats CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR

### CANNOT_RETRIEVE_AT_NEGATIVE_INDEX

public static final LocalizedFormats CANNOT_RETRIEVE_AT_NEGATIVE_INDEX

### CANNOT_SET_AT_NEGATIVE_INDEX

public static final LocalizedFormats CANNOT_SET_AT_NEGATIVE_INDEX

### CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY

public static final LocalizedFormats CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY

### CANNOT_TRANSFORM_TO_DOUBLE

public static final LocalizedFormats CANNOT_TRANSFORM_TO_DOUBLE

### CARDAN_ANGLES_SINGULARITY

public static final LocalizedFormats CARDAN_ANGLES_SINGULARITY

### CLASS_DOESNT_IMPLEMENT_COMPARABLE

public static final LocalizedFormats CLASS_DOESNT_IMPLEMENT_COMPARABLE

### CLOSE_VERTICES

public static final LocalizedFormats CLOSE_VERTICES

### CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT

public static final LocalizedFormats CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT

### COLUMN_INDEX_OUT_OF_RANGE

public static final LocalizedFormats COLUMN_INDEX_OUT_OF_RANGE

### COLUMN_INDEX

public static final LocalizedFormats COLUMN_INDEX

### CONSTRAINT

public static final LocalizedFormats CONSTRAINT

### CONTINUED_FRACTION_INFINITY_DIVERGENCE

public static final LocalizedFormats CONTINUED_FRACTION_INFINITY_DIVERGENCE

### CONTINUED_FRACTION_NAN_DIVERGENCE

public static final LocalizedFormats CONTINUED_FRACTION_NAN_DIVERGENCE

### CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR

public static final LocalizedFormats CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR

### CONTRACTION_CRITERIA_SMALLER_THAN_ONE

public static final LocalizedFormats CONTRACTION_CRITERIA_SMALLER_THAN_ONE

### CONVERGENCE_FAILED

public static final LocalizedFormats CONVERGENCE_FAILED

### CROSSING_BOUNDARY_LOOPS

public static final LocalizedFormats CROSSING_BOUNDARY_LOOPS

### CROSSOVER_RATE

public static final LocalizedFormats CROSSOVER_RATE

### CUMULATIVE_PROBABILITY_RETURNED_NAN

public static final LocalizedFormats CUMULATIVE_PROBABILITY_RETURNED_NAN

### DIFFERENT_ROWS_LENGTHS

public static final LocalizedFormats DIFFERENT_ROWS_LENGTHS

### DIFFERENT_ORIG_AND_PERMUTED_DATA

public static final LocalizedFormats DIFFERENT_ORIG_AND_PERMUTED_DATA

### DIGEST_NOT_INITIALIZED

public static final LocalizedFormats DIGEST_NOT_INITIALIZED

### DIMENSIONS_MISMATCH_2x2

public static final LocalizedFormats DIMENSIONS_MISMATCH_2x2

### DIMENSIONS_MISMATCH_SIMPLE

public static final LocalizedFormats DIMENSIONS_MISMATCH_SIMPLE

### DIMENSIONS_MISMATCH

public static final LocalizedFormats DIMENSIONS_MISMATCH

### DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN

public static final LocalizedFormats DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN

### DISTRIBUTION_NOT_LOADED

public static final LocalizedFormats DISTRIBUTION_NOT_LOADED

### DUPLICATED_ABSCISSA_DIVISION_BY_ZERO

public static final LocalizedFormats DUPLICATED_ABSCISSA_DIVISION_BY_ZERO

### EDGE_CONNECTED_TO_ONE_FACET

public static final LocalizedFormats EDGE_CONNECTED_TO_ONE_FACET

### ELITISM_RATE

public static final LocalizedFormats ELITISM_RATE

### EMPTY_CLUSTER_IN_K_MEANS

public static final LocalizedFormats EMPTY_CLUSTER_IN_K_MEANS

### EMPTY_INTERPOLATION_SAMPLE

public static final LocalizedFormats EMPTY_INTERPOLATION_SAMPLE

### EMPTY_POLYNOMIALS_COEFFICIENTS_ARRAY

public static final LocalizedFormats EMPTY_POLYNOMIALS_COEFFICIENTS_ARRAY

### EMPTY_SELECTED_COLUMN_INDEX_ARRAY

public static final LocalizedFormats EMPTY_SELECTED_COLUMN_INDEX_ARRAY

### EMPTY_SELECTED_ROW_INDEX_ARRAY

public static final LocalizedFormats EMPTY_SELECTED_ROW_INDEX_ARRAY

### EMPTY_STRING_FOR_IMAGINARY_CHARACTER

public static final LocalizedFormats EMPTY_STRING_FOR_IMAGINARY_CHARACTER

### ENDPOINTS_NOT_AN_INTERVAL

public static final LocalizedFormats ENDPOINTS_NOT_AN_INTERVAL

### EQUAL_VERTICES_IN_SIMPLEX

public static final LocalizedFormats EQUAL_VERTICES_IN_SIMPLEX

### EULER_ANGLES_SINGULARITY

public static final LocalizedFormats EULER_ANGLES_SINGULARITY

### EVALUATION

public static final LocalizedFormats EVALUATION

### EXPANSION_FACTOR_SMALLER_THAN_ONE

public static final LocalizedFormats EXPANSION_FACTOR_SMALLER_THAN_ONE

### FACET_ORIENTATION_MISMATCH

public static final LocalizedFormats FACET_ORIENTATION_MISMATCH

### FACTORIAL_NEGATIVE_PARAMETER

public static final LocalizedFormats FACTORIAL_NEGATIVE_PARAMETER

### FAILED_BRACKETING

public static final LocalizedFormats FAILED_BRACKETING

### FAILED_FRACTION_CONVERSION

public static final LocalizedFormats FAILED_FRACTION_CONVERSION

### FIRST_COLUMNS_NOT_INITIALIZED_YET

public static final LocalizedFormats FIRST_COLUMNS_NOT_INITIALIZED_YET

### FIRST_ELEMENT_NOT_ZERO

public static final LocalizedFormats FIRST_ELEMENT_NOT_ZERO

### FIRST_ROWS_NOT_INITIALIZED_YET

public static final LocalizedFormats FIRST_ROWS_NOT_INITIALIZED_YET

### FRACTION_CONVERSION_OVERFLOW

public static final LocalizedFormats FRACTION_CONVERSION_OVERFLOW

### FUNCTION_NOT_DIFFERENTIABLE

public static final LocalizedFormats FUNCTION_NOT_DIFFERENTIABLE

### FUNCTION_NOT_POLYNOMIAL

public static final LocalizedFormats FUNCTION_NOT_POLYNOMIAL

### GCD_OVERFLOW_32_BITS

public static final LocalizedFormats GCD_OVERFLOW_32_BITS

### GCD_OVERFLOW_64_BITS

public static final LocalizedFormats GCD_OVERFLOW_64_BITS

### HOLE_BETWEEN_MODELS_TIME_RANGES

public static final LocalizedFormats HOLE_BETWEEN_MODELS_TIME_RANGES

### ILL_CONDITIONED_OPERATOR

public static final LocalizedFormats ILL_CONDITIONED_OPERATOR

### INCONSISTENT_STATE_AT_2_PI_WRAPPING

public static final LocalizedFormats INCONSISTENT_STATE_AT_2_PI_WRAPPING

### INDEX_LARGER_THAN_MAX

public static final LocalizedFormats INDEX_LARGER_THAN_MAX

### INDEX_NOT_POSITIVE

public static final LocalizedFormats INDEX_NOT_POSITIVE

### INDEX_OUT_OF_RANGE

public static final LocalizedFormats INDEX_OUT_OF_RANGE

### INDEX

public static final LocalizedFormats INDEX

### NOT_FINITE_NUMBER

public static final LocalizedFormats NOT_FINITE_NUMBER

### INFINITE_BOUND

public static final LocalizedFormats INFINITE_BOUND

### ARRAY_ELEMENT

public static final LocalizedFormats ARRAY_ELEMENT

### INFINITE_ARRAY_ELEMENT

public static final LocalizedFormats INFINITE_ARRAY_ELEMENT

### INFINITE_VALUE_CONVERSION

public static final LocalizedFormats INFINITE_VALUE_CONVERSION

### INITIAL_CAPACITY_NOT_POSITIVE

public static final LocalizedFormats INITIAL_CAPACITY_NOT_POSITIVE

### INITIAL_COLUMN_AFTER_FINAL_COLUMN

public static final LocalizedFormats INITIAL_COLUMN_AFTER_FINAL_COLUMN

### INITIAL_ROW_AFTER_FINAL_ROW

public static final LocalizedFormats INITIAL_ROW_AFTER_FINAL_ROW

### INPUT_DATA_FROM_UNSUPPORTED_DATASOURCE

@Deprecated public static final LocalizedFormats INPUT_DATA_FROM_UNSUPPORTED_DATASOURCE
Deprecated.

### INSTANCES_NOT_COMPARABLE_TO_EXISTING_VALUES

public static final LocalizedFormats INSTANCES_NOT_COMPARABLE_TO_EXISTING_VALUES

### INSUFFICIENT_DATA

public static final LocalizedFormats INSUFFICIENT_DATA

### INSUFFICIENT_DATA_FOR_T_STATISTIC

public static final LocalizedFormats INSUFFICIENT_DATA_FOR_T_STATISTIC

### INSUFFICIENT_DIMENSION

public static final LocalizedFormats INSUFFICIENT_DIMENSION

### DIMENSION

public static final LocalizedFormats DIMENSION

### INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE

public static final LocalizedFormats INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE

### INSUFFICIENT_ROWS_AND_COLUMNS

public static final LocalizedFormats INSUFFICIENT_ROWS_AND_COLUMNS

### INTEGRATION_METHOD_NEEDS_AT_LEAST_TWO_PREVIOUS_POINTS

public static final LocalizedFormats INTEGRATION_METHOD_NEEDS_AT_LEAST_TWO_PREVIOUS_POINTS

### INTERNAL_ERROR

public static final LocalizedFormats INTERNAL_ERROR

### INVALID_BINARY_DIGIT

public static final LocalizedFormats INVALID_BINARY_DIGIT

### INVALID_BINARY_CHROMOSOME

public static final LocalizedFormats INVALID_BINARY_CHROMOSOME

### INVALID_BRACKETING_PARAMETERS

public static final LocalizedFormats INVALID_BRACKETING_PARAMETERS

### INVALID_FIXED_LENGTH_CHROMOSOME

public static final LocalizedFormats INVALID_FIXED_LENGTH_CHROMOSOME

### INVALID_IMPLEMENTATION

public static final LocalizedFormats INVALID_IMPLEMENTATION

### INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS

public static final LocalizedFormats INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS

### INVALID_ITERATIONS_LIMITS

public static final LocalizedFormats INVALID_ITERATIONS_LIMITS

### INVALID_MAX_ITERATIONS

public static final LocalizedFormats INVALID_MAX_ITERATIONS

### NOT_ENOUGH_DATA_REGRESSION

public static final LocalizedFormats NOT_ENOUGH_DATA_REGRESSION

### INVALID_REGRESSION_ARRAY

public static final LocalizedFormats INVALID_REGRESSION_ARRAY

### INVALID_REGRESSION_OBSERVATION

public static final LocalizedFormats INVALID_REGRESSION_OBSERVATION

### INVALID_ROUNDING_METHOD

public static final LocalizedFormats INVALID_ROUNDING_METHOD

### ITERATOR_EXHAUSTED

public static final LocalizedFormats ITERATOR_EXHAUSTED

### ITERATIONS

public static final LocalizedFormats ITERATIONS

### LCM_OVERFLOW_32_BITS

public static final LocalizedFormats LCM_OVERFLOW_32_BITS

### LCM_OVERFLOW_64_BITS

public static final LocalizedFormats LCM_OVERFLOW_64_BITS

### LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE

public static final LocalizedFormats LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE

### LOESS_EXPECTS_AT_LEAST_ONE_POINT

public static final LocalizedFormats LOESS_EXPECTS_AT_LEAST_ONE_POINT

### LOWER_BOUND_NOT_BELOW_UPPER_BOUND

public static final LocalizedFormats LOWER_BOUND_NOT_BELOW_UPPER_BOUND

### LOWER_ENDPOINT_ABOVE_UPPER_ENDPOINT

public static final LocalizedFormats LOWER_ENDPOINT_ABOVE_UPPER_ENDPOINT

### MAP_MODIFIED_WHILE_ITERATING

public static final LocalizedFormats MAP_MODIFIED_WHILE_ITERATING

### MULTISTEP_STARTER_STOPPED_EARLY

public static final LocalizedFormats MULTISTEP_STARTER_STOPPED_EARLY

### EVALUATIONS

public static final LocalizedFormats EVALUATIONS

### MAX_COUNT_EXCEEDED

public static final LocalizedFormats MAX_COUNT_EXCEEDED

### MAX_ITERATIONS_EXCEEDED

public static final LocalizedFormats MAX_ITERATIONS_EXCEEDED

### MINIMAL_STEPSIZE_REACHED_DURING_INTEGRATION

public static final LocalizedFormats MINIMAL_STEPSIZE_REACHED_DURING_INTEGRATION

### MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS

public static final LocalizedFormats MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS

### MUTATION_RATE

public static final LocalizedFormats MUTATION_RATE

### NAN_ELEMENT_AT_INDEX

public static final LocalizedFormats NAN_ELEMENT_AT_INDEX

### NAN_VALUE_CONVERSION

public static final LocalizedFormats NAN_VALUE_CONVERSION

### NEGATIVE_BRIGHTNESS_EXPONENT

public static final LocalizedFormats NEGATIVE_BRIGHTNESS_EXPONENT

### NEGATIVE_COMPLEX_MODULE

public static final LocalizedFormats NEGATIVE_COMPLEX_MODULE

### NEGATIVE_ELEMENT_AT_2D_INDEX

public static final LocalizedFormats NEGATIVE_ELEMENT_AT_2D_INDEX

### NEGATIVE_ELEMENT_AT_INDEX

public static final LocalizedFormats NEGATIVE_ELEMENT_AT_INDEX

### NEGATIVE_NUMBER_OF_SUCCESSES

public static final LocalizedFormats NEGATIVE_NUMBER_OF_SUCCESSES

### NUMBER_OF_SUCCESSES

public static final LocalizedFormats NUMBER_OF_SUCCESSES

### NEGATIVE_NUMBER_OF_TRIALS

public static final LocalizedFormats NEGATIVE_NUMBER_OF_TRIALS

### NUMBER_OF_INTERPOLATION_POINTS

public static final LocalizedFormats NUMBER_OF_INTERPOLATION_POINTS

### NUMBER_OF_TRIALS

public static final LocalizedFormats NUMBER_OF_TRIALS

### NOT_CONVEX

public static final LocalizedFormats NOT_CONVEX

### NOT_CONVEX_HYPERPLANES

public static final LocalizedFormats NOT_CONVEX_HYPERPLANES

### ROBUSTNESS_ITERATIONS

public static final LocalizedFormats ROBUSTNESS_ITERATIONS

### START_POSITION

public static final LocalizedFormats START_POSITION

### NON_CONVERGENT_CONTINUED_FRACTION

public static final LocalizedFormats NON_CONVERGENT_CONTINUED_FRACTION

### NON_INVERTIBLE_TRANSFORM

public static final LocalizedFormats NON_INVERTIBLE_TRANSFORM

### NON_POSITIVE_MICROSPHERE_ELEMENTS

public static final LocalizedFormats NON_POSITIVE_MICROSPHERE_ELEMENTS

### NON_POSITIVE_POLYNOMIAL_DEGREE

public static final LocalizedFormats NON_POSITIVE_POLYNOMIAL_DEGREE

### NON_REAL_FINITE_ABSCISSA

public static final LocalizedFormats NON_REAL_FINITE_ABSCISSA

### NON_REAL_FINITE_ORDINATE

public static final LocalizedFormats NON_REAL_FINITE_ORDINATE

### NON_REAL_FINITE_WEIGHT

public static final LocalizedFormats NON_REAL_FINITE_WEIGHT

### NON_SQUARE_MATRIX

public static final LocalizedFormats NON_SQUARE_MATRIX

### NORM

public static final LocalizedFormats NORM

### NORMALIZE_INFINITE

public static final LocalizedFormats NORMALIZE_INFINITE

### NORMALIZE_NAN

public static final LocalizedFormats NORMALIZE_NAN

### NOT_ADDITION_COMPATIBLE_MATRICES

public static final LocalizedFormats NOT_ADDITION_COMPATIBLE_MATRICES

### NOT_DECREASING_NUMBER_OF_POINTS

public static final LocalizedFormats NOT_DECREASING_NUMBER_OF_POINTS

### NOT_DECREASING_SEQUENCE

public static final LocalizedFormats NOT_DECREASING_SEQUENCE

### NOT_ENOUGH_DATA_FOR_NUMBER_OF_PREDICTORS

public static final LocalizedFormats NOT_ENOUGH_DATA_FOR_NUMBER_OF_PREDICTORS

### NOT_ENOUGH_POINTS_IN_SPLINE_PARTITION

public static final LocalizedFormats NOT_ENOUGH_POINTS_IN_SPLINE_PARTITION

### NOT_INCREASING_NUMBER_OF_POINTS

public static final LocalizedFormats NOT_INCREASING_NUMBER_OF_POINTS

### NOT_INCREASING_SEQUENCE

public static final LocalizedFormats NOT_INCREASING_SEQUENCE

### NOT_MULTIPLICATION_COMPATIBLE_MATRICES

public static final LocalizedFormats NOT_MULTIPLICATION_COMPATIBLE_MATRICES

### NOT_POSITIVE_DEFINITE_MATRIX

public static final LocalizedFormats NOT_POSITIVE_DEFINITE_MATRIX

### NON_POSITIVE_DEFINITE_MATRIX

public static final LocalizedFormats NON_POSITIVE_DEFINITE_MATRIX

### NON_POSITIVE_DEFINITE_OPERATOR

public static final LocalizedFormats NON_POSITIVE_DEFINITE_OPERATOR

### NON_SELF_ADJOINT_OPERATOR

public static final LocalizedFormats NON_SELF_ADJOINT_OPERATOR

### NON_SQUARE_OPERATOR

public static final LocalizedFormats NON_SQUARE_OPERATOR

### DEGREES_OF_FREEDOM

public static final LocalizedFormats DEGREES_OF_FREEDOM

### NOT_POSITIVE_DEGREES_OF_FREEDOM

public static final LocalizedFormats NOT_POSITIVE_DEGREES_OF_FREEDOM

### NOT_POSITIVE_ELEMENT_AT_INDEX

public static final LocalizedFormats NOT_POSITIVE_ELEMENT_AT_INDEX

### NOT_POSITIVE_EXPONENT

public static final LocalizedFormats NOT_POSITIVE_EXPONENT

### NUMBER_OF_ELEMENTS_SHOULD_BE_POSITIVE

public static final LocalizedFormats NUMBER_OF_ELEMENTS_SHOULD_BE_POSITIVE

### BASE

public static final LocalizedFormats BASE

### EXPONENT

public static final LocalizedFormats EXPONENT

### NOT_POSITIVE_LENGTH

public static final LocalizedFormats NOT_POSITIVE_LENGTH

### LENGTH

public static final LocalizedFormats LENGTH

### NOT_POSITIVE_MEAN

public static final LocalizedFormats NOT_POSITIVE_MEAN

### MEAN

public static final LocalizedFormats MEAN

### NOT_POSITIVE_NUMBER_OF_SAMPLES

public static final LocalizedFormats NOT_POSITIVE_NUMBER_OF_SAMPLES

### NUMBER_OF_SAMPLES

public static final LocalizedFormats NUMBER_OF_SAMPLES

### NOT_POSITIVE_PERMUTATION

public static final LocalizedFormats NOT_POSITIVE_PERMUTATION

### PERMUTATION_SIZE

public static final LocalizedFormats PERMUTATION_SIZE

### NOT_POSITIVE_POISSON_MEAN

public static final LocalizedFormats NOT_POSITIVE_POISSON_MEAN

### NOT_POSITIVE_POPULATION_SIZE

public static final LocalizedFormats NOT_POSITIVE_POPULATION_SIZE

### POPULATION_SIZE

public static final LocalizedFormats POPULATION_SIZE

### NOT_POSITIVE_ROW_DIMENSION

public static final LocalizedFormats NOT_POSITIVE_ROW_DIMENSION

### NOT_POSITIVE_SAMPLE_SIZE

public static final LocalizedFormats NOT_POSITIVE_SAMPLE_SIZE

### NOT_POSITIVE_SCALE

public static final LocalizedFormats NOT_POSITIVE_SCALE

### SCALE

public static final LocalizedFormats SCALE

### NOT_POSITIVE_SHAPE

public static final LocalizedFormats NOT_POSITIVE_SHAPE

### SHAPE

public static final LocalizedFormats SHAPE

### NOT_POSITIVE_STANDARD_DEVIATION

public static final LocalizedFormats NOT_POSITIVE_STANDARD_DEVIATION

### STANDARD_DEVIATION

public static final LocalizedFormats STANDARD_DEVIATION

### NOT_POSITIVE_UPPER_BOUND

public static final LocalizedFormats NOT_POSITIVE_UPPER_BOUND

### NOT_POSITIVE_WINDOW_SIZE

public static final LocalizedFormats NOT_POSITIVE_WINDOW_SIZE

### NOT_POWER_OF_TWO

public static final LocalizedFormats NOT_POWER_OF_TWO

### NOT_POWER_OF_TWO_CONSIDER_PADDING

public static final LocalizedFormats NOT_POWER_OF_TWO_CONSIDER_PADDING

### NOT_POWER_OF_TWO_PLUS_ONE

public static final LocalizedFormats NOT_POWER_OF_TWO_PLUS_ONE

### NOT_STRICTLY_DECREASING_NUMBER_OF_POINTS

public static final LocalizedFormats NOT_STRICTLY_DECREASING_NUMBER_OF_POINTS

### NOT_STRICTLY_DECREASING_SEQUENCE

public static final LocalizedFormats NOT_STRICTLY_DECREASING_SEQUENCE

### NOT_STRICTLY_INCREASING_KNOT_VALUES

public static final LocalizedFormats NOT_STRICTLY_INCREASING_KNOT_VALUES

### NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS

public static final LocalizedFormats NOT_STRICTLY_INCREASING_NUMBER_OF_POINTS

### NOT_STRICTLY_INCREASING_SEQUENCE

public static final LocalizedFormats NOT_STRICTLY_INCREASING_SEQUENCE

### NOT_SUBTRACTION_COMPATIBLE_MATRICES

public static final LocalizedFormats NOT_SUBTRACTION_COMPATIBLE_MATRICES

### NOT_SUPPORTED_IN_DIMENSION_N

public static final LocalizedFormats NOT_SUPPORTED_IN_DIMENSION_N

### NOT_SYMMETRIC_MATRIX

public static final LocalizedFormats NOT_SYMMETRIC_MATRIX

### NON_SYMMETRIC_MATRIX

public static final LocalizedFormats NON_SYMMETRIC_MATRIX

### NO_BIN_SELECTED

public static final LocalizedFormats NO_BIN_SELECTED

### NO_CONVERGENCE_WITH_ANY_START_POINT

public static final LocalizedFormats NO_CONVERGENCE_WITH_ANY_START_POINT

### NO_DATA

public static final LocalizedFormats NO_DATA

### NO_DEGREES_OF_FREEDOM

public static final LocalizedFormats NO_DEGREES_OF_FREEDOM

### NO_DENSITY_FOR_THIS_DISTRIBUTION

public static final LocalizedFormats NO_DENSITY_FOR_THIS_DISTRIBUTION

### NO_FEASIBLE_SOLUTION

public static final LocalizedFormats NO_FEASIBLE_SOLUTION

### NO_OPTIMUM_COMPUTED_YET

public static final LocalizedFormats NO_OPTIMUM_COMPUTED_YET

### NO_REGRESSORS

public static final LocalizedFormats NO_REGRESSORS

### NO_RESULT_AVAILABLE

public static final LocalizedFormats NO_RESULT_AVAILABLE

### NO_SUCH_MATRIX_ENTRY

public static final LocalizedFormats NO_SUCH_MATRIX_ENTRY

### NAN_NOT_ALLOWED

public static final LocalizedFormats NAN_NOT_ALLOWED

### NULL_NOT_ALLOWED

public static final LocalizedFormats NULL_NOT_ALLOWED

### ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED

public static final LocalizedFormats ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED

### COVARIANCE_MATRIX

public static final LocalizedFormats COVARIANCE_MATRIX

### DENOMINATOR

public static final LocalizedFormats DENOMINATOR

### DENOMINATOR_FORMAT

public static final LocalizedFormats DENOMINATOR_FORMAT

### FRACTION

public static final LocalizedFormats FRACTION

### FUNCTION

public static final LocalizedFormats FUNCTION

### IMAGINARY_FORMAT

public static final LocalizedFormats IMAGINARY_FORMAT

### INPUT_ARRAY

public static final LocalizedFormats INPUT_ARRAY

### NUMERATOR

public static final LocalizedFormats NUMERATOR

### NUMERATOR_FORMAT

public static final LocalizedFormats NUMERATOR_FORMAT

### OBJECT_TRANSFORMATION

public static final LocalizedFormats OBJECT_TRANSFORMATION

### REAL_FORMAT

public static final LocalizedFormats REAL_FORMAT

### WHOLE_FORMAT

public static final LocalizedFormats WHOLE_FORMAT

### NUMBER_TOO_LARGE

public static final LocalizedFormats NUMBER_TOO_LARGE

### NUMBER_TOO_SMALL

public static final LocalizedFormats NUMBER_TOO_SMALL

### NUMBER_TOO_LARGE_BOUND_EXCLUDED

public static final LocalizedFormats NUMBER_TOO_LARGE_BOUND_EXCLUDED

### NUMBER_TOO_SMALL_BOUND_EXCLUDED

public static final LocalizedFormats NUMBER_TOO_SMALL_BOUND_EXCLUDED

### NUMBER_OF_SUCCESS_LARGER_THAN_POPULATION_SIZE

public static final LocalizedFormats NUMBER_OF_SUCCESS_LARGER_THAN_POPULATION_SIZE

### NUMERATOR_OVERFLOW_AFTER_MULTIPLY

public static final LocalizedFormats NUMERATOR_OVERFLOW_AFTER_MULTIPLY

### N_POINTS_GAUSS_LEGENDRE_INTEGRATOR_NOT_SUPPORTED

public static final LocalizedFormats N_POINTS_GAUSS_LEGENDRE_INTEGRATOR_NOT_SUPPORTED

### OBSERVED_COUNTS_ALL_ZERO

public static final LocalizedFormats OBSERVED_COUNTS_ALL_ZERO

### OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY

public static final LocalizedFormats OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY

### BOBYQA_BOUND_DIFFERENCE_CONDITION

public static final LocalizedFormats BOBYQA_BOUND_DIFFERENCE_CONDITION

### OUT_OF_BOUNDS_QUANTILE_VALUE

public static final LocalizedFormats OUT_OF_BOUNDS_QUANTILE_VALUE

### OUT_OF_BOUNDS_CONFIDENCE_LEVEL

public static final LocalizedFormats OUT_OF_BOUNDS_CONFIDENCE_LEVEL

### OUT_OF_BOUND_SIGNIFICANCE_LEVEL

public static final LocalizedFormats OUT_OF_BOUND_SIGNIFICANCE_LEVEL

### SIGNIFICANCE_LEVEL

public static final LocalizedFormats SIGNIFICANCE_LEVEL

### OUT_OF_ORDER_ABSCISSA_ARRAY

public static final LocalizedFormats OUT_OF_ORDER_ABSCISSA_ARRAY

### OUT_OF_PLANE

public static final LocalizedFormats OUT_OF_PLANE

### OUT_OF_RANGE_ROOT_OF_UNITY_INDEX

public static final LocalizedFormats OUT_OF_RANGE_ROOT_OF_UNITY_INDEX

### OUT_OF_RANGE

public static final LocalizedFormats OUT_OF_RANGE

### OUT_OF_RANGE_SIMPLE

public static final LocalizedFormats OUT_OF_RANGE_SIMPLE

### OUT_OF_RANGE_LEFT

public static final LocalizedFormats OUT_OF_RANGE_LEFT

### OUT_OF_RANGE_RIGHT

public static final LocalizedFormats OUT_OF_RANGE_RIGHT

### OUTLINE_BOUNDARY_LOOP_OPEN

public static final LocalizedFormats OUTLINE_BOUNDARY_LOOP_OPEN

### OVERFLOW

public static final LocalizedFormats OVERFLOW

### OVERFLOW_IN_FRACTION

public static final LocalizedFormats OVERFLOW_IN_FRACTION

### OVERFLOW_IN_ADDITION

public static final LocalizedFormats OVERFLOW_IN_ADDITION

### OVERFLOW_IN_SUBTRACTION

public static final LocalizedFormats OVERFLOW_IN_SUBTRACTION

### OVERFLOW_IN_MULTIPLICATION

public static final LocalizedFormats OVERFLOW_IN_MULTIPLICATION

### PERCENTILE_IMPLEMENTATION_CANNOT_ACCESS_METHOD

public static final LocalizedFormats PERCENTILE_IMPLEMENTATION_CANNOT_ACCESS_METHOD

### PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD

public static final LocalizedFormats PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD

### PERMUTATION_EXCEEDS_N

public static final LocalizedFormats PERMUTATION_EXCEEDS_N

### POLYNOMIAL

public static final LocalizedFormats POLYNOMIAL

### POLYNOMIAL_INTERPOLANTS_MISMATCH_SEGMENTS

public static final LocalizedFormats POLYNOMIAL_INTERPOLANTS_MISMATCH_SEGMENTS

### POPULATION_LIMIT_NOT_POSITIVE

public static final LocalizedFormats POPULATION_LIMIT_NOT_POSITIVE

### POWER_NEGATIVE_PARAMETERS

public static final LocalizedFormats POWER_NEGATIVE_PARAMETERS

### PROPAGATION_DIRECTION_MISMATCH

public static final LocalizedFormats PROPAGATION_DIRECTION_MISMATCH

### RANDOMKEY_MUTATION_WRONG_CLASS

public static final LocalizedFormats RANDOMKEY_MUTATION_WRONG_CLASS

### ROOTS_OF_UNITY_NOT_COMPUTED_YET

public static final LocalizedFormats ROOTS_OF_UNITY_NOT_COMPUTED_YET

### ROTATION_MATRIX_DIMENSIONS

public static final LocalizedFormats ROTATION_MATRIX_DIMENSIONS

### ROW_INDEX_OUT_OF_RANGE

public static final LocalizedFormats ROW_INDEX_OUT_OF_RANGE

### ROW_INDEX

public static final LocalizedFormats ROW_INDEX

### SAME_SIGN_AT_ENDPOINTS

public static final LocalizedFormats SAME_SIGN_AT_ENDPOINTS

### SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE

public static final LocalizedFormats SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE

### SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE

public static final LocalizedFormats SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE

### SIMPLEX_NEED_ONE_POINT

public static final LocalizedFormats SIMPLEX_NEED_ONE_POINT

### SIMPLE_MESSAGE

public static final LocalizedFormats SIMPLE_MESSAGE

### SINGULAR_MATRIX

public static final LocalizedFormats SINGULAR_MATRIX

### SINGULAR_OPERATOR

public static final LocalizedFormats SINGULAR_OPERATOR

### SUBARRAY_ENDS_AFTER_ARRAY_END

public static final LocalizedFormats SUBARRAY_ENDS_AFTER_ARRAY_END

### TOO_LARGE_CUTOFF_SINGULAR_VALUE

public static final LocalizedFormats TOO_LARGE_CUTOFF_SINGULAR_VALUE

### TOO_LARGE_TOURNAMENT_ARITY

public static final LocalizedFormats TOO_LARGE_TOURNAMENT_ARITY

### TOO_MANY_ELEMENTS_TO_DISCARD_FROM_ARRAY

public static final LocalizedFormats TOO_MANY_ELEMENTS_TO_DISCARD_FROM_ARRAY

### TOO_MANY_REGRESSORS

public static final LocalizedFormats TOO_MANY_REGRESSORS

### TOO_SMALL_COST_RELATIVE_TOLERANCE

public static final LocalizedFormats TOO_SMALL_COST_RELATIVE_TOLERANCE

### TOO_SMALL_INTEGRATION_INTERVAL

public static final LocalizedFormats TOO_SMALL_INTEGRATION_INTERVAL

### TOO_SMALL_ORTHOGONALITY_TOLERANCE

public static final LocalizedFormats TOO_SMALL_ORTHOGONALITY_TOLERANCE

### TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE

public static final LocalizedFormats TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE

### TRUST_REGION_STEP_FAILED

public static final LocalizedFormats TRUST_REGION_STEP_FAILED

### TWO_OR_MORE_CATEGORIES_REQUIRED

public static final LocalizedFormats TWO_OR_MORE_CATEGORIES_REQUIRED

### TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED

public static final LocalizedFormats TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED

### UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH

public static final LocalizedFormats UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH

### UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM

public static final LocalizedFormats UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM

### UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS

public static final LocalizedFormats UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS

### UNABLE_TO_ORTHOGONOLIZE_MATRIX

public static final LocalizedFormats UNABLE_TO_ORTHOGONOLIZE_MATRIX

### UNABLE_TO_PERFORM_QR_DECOMPOSITION_ON_JACOBIAN

public static final LocalizedFormats UNABLE_TO_PERFORM_QR_DECOMPOSITION_ON_JACOBIAN

### UNABLE_TO_SOLVE_SINGULAR_PROBLEM

public static final LocalizedFormats UNABLE_TO_SOLVE_SINGULAR_PROBLEM

### UNBOUNDED_SOLUTION

public static final LocalizedFormats UNBOUNDED_SOLUTION

### UNKNOWN_MODE

public static final LocalizedFormats UNKNOWN_MODE

### UNKNOWN_PARAMETER

public static final LocalizedFormats UNKNOWN_PARAMETER

### UNMATCHED_ODE_IN_EXPANDED_SET

public static final LocalizedFormats UNMATCHED_ODE_IN_EXPANDED_SET

### CANNOT_PARSE_AS_TYPE

public static final LocalizedFormats CANNOT_PARSE_AS_TYPE

### CANNOT_PARSE

public static final LocalizedFormats CANNOT_PARSE

### UNPARSEABLE_3D_VECTOR

public static final LocalizedFormats UNPARSEABLE_3D_VECTOR

### UNPARSEABLE_COMPLEX_NUMBER

public static final LocalizedFormats UNPARSEABLE_COMPLEX_NUMBER

### UNPARSEABLE_REAL_VECTOR

public static final LocalizedFormats UNPARSEABLE_REAL_VECTOR

### UNSUPPORTED_EXPANSION_MODE

public static final LocalizedFormats UNSUPPORTED_EXPANSION_MODE

### UNSUPPORTED_OPERATION

public static final LocalizedFormats UNSUPPORTED_OPERATION

### ARITHMETIC_EXCEPTION

public static final LocalizedFormats ARITHMETIC_EXCEPTION

### ILLEGAL_STATE

public static final LocalizedFormats ILLEGAL_STATE

### USER_EXCEPTION

public static final LocalizedFormats USER_EXCEPTION

### URL_CONTAINS_NO_DATA

public static final LocalizedFormats URL_CONTAINS_NO_DATA

### VALUES_ADDED_BEFORE_CONFIGURING_STATISTIC

public static final LocalizedFormats VALUES_ADDED_BEFORE_CONFIGURING_STATISTIC

### VECTOR_LENGTH_MISMATCH

public static final LocalizedFormats VECTOR_LENGTH_MISMATCH

### VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT

public static final LocalizedFormats VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT

### WEIGHT_AT_LEAST_ONE_NON_ZERO

public static final LocalizedFormats WEIGHT_AT_LEAST_ONE_NON_ZERO

### WRONG_BLOCK_LENGTH

public static final LocalizedFormats WRONG_BLOCK_LENGTH

### WRONG_NUMBER_OF_POINTS

public static final LocalizedFormats WRONG_NUMBER_OF_POINTS

### NUMBER_OF_POINTS

public static final LocalizedFormats NUMBER_OF_POINTS

### ZERO_DENOMINATOR

public static final LocalizedFormats ZERO_DENOMINATOR

### ZERO_DENOMINATOR_IN_FRACTION

public static final LocalizedFormats ZERO_DENOMINATOR_IN_FRACTION

### ZERO_FRACTION_TO_DIVIDE_BY

public static final LocalizedFormats ZERO_FRACTION_TO_DIVIDE_BY

### ZERO_NORM

public static final LocalizedFormats ZERO_NORM

### ZERO_NORM_FOR_ROTATION_AXIS

public static final LocalizedFormats ZERO_NORM_FOR_ROTATION_AXIS

### ZERO_NORM_FOR_ROTATION_DEFINING_VECTOR

public static final LocalizedFormats ZERO_NORM_FOR_ROTATION_DEFINING_VECTOR

### ZERO_NOT_ALLOWED

public static final LocalizedFormats ZERO_NOT_ALLOWED

## Method Details

### values

public static LocalizedFormats[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LocalizedFormats valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSourceString

public String getSourceString()
Gets the source (non-localized) string.

Specified by:
  `getSourceString` in interface `Localizable`
Returns:
  the source string.

### getLocalizedString

public String getLocalizedString(Locale locale)
Gets the localized string.

Specified by:
  `getLocalizedString` in interface `Localizable`
Parameters:
  `locale` - locale into which to get the string.
Returns:
  the localized string or the source string if no localized version is available.